.field--name-field-step-details {
  & .field__item {
    color: var(--text-secondary);

    &, & p {
      font-weight: 600;
    }

    & > * {
      margin-bottom: 32px;
    }

    & blockquote {
      --padding: 8px;
      --left-border-width: 2px;
      background: var(--bg-tertiary);
      border-radius: 4px;
      color: var(--text-primary);
      font-size: 16px;
      line-height: 1.5;
      padding: var(--padding);
      padding-left: calc(var(--padding) * 2 + var(--left-border-width));
      position: relative;

      &::before {
        content: "";
        position: absolute;
        top: var(--padding);
        bottom: var(--padding);
        left: var(--padding);
        width: var(--left-border-width);
        background-color: var(--border-secondary);
      }
    }

    & a:not(.btn) {
      color: var(--link-primary);
      text-decoration: underline;
    }

    & ul > li:not(:first-child) {
      margin-top: 12px;
    }

    & .todo-list__label {
      display: inline-flex;

      & br, input {
        display: none;
      }
    }

    & li {
      position: relative;
      font-size: 18px;
      padding-left: 30px;

      --icon-src: url("/modules/custom/ui_icons_boxicons/node_modules/boxicons/svg/regular/bx-user.svg");
      --icon-color: var(--text-success);

      &::before {
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        width: 24px;
        height: 24px;
        display: block;
        mask-image: var(--icon-src);
        mask-size: contain;
        mask-repeat: no-repeat;
        background-color: var(--icon-color);
        margin-right: 16px;
      }
    }

    & li:has(.todo-list__label input[type='checkbox']) {
      --icon-src: url("/modules/custom/ui_icons_boxicons/node_modules/boxicons/svg/regular/bx-x.svg");
      --icon-color: var(--text-error);
    }

    & li:has(.todo-list__label input[type='checkbox']:checked) {
      --icon-src: url("/modules/custom/ui_icons_boxicons/node_modules/boxicons/svg/regular/bx-check.svg");
      --icon-color: var(--text-success);
    }

  }
}
